Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Textkomponente

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Textkomponente

Direct Known Subclasses:
  Etikett, Knopf, Markierungskomponente, Menue, Schalter

    public abstract class Textkomponente

extends Komponente

Die Klasse Textkomponente ist eine abstrakte Oberklasse fuer alle textorientierten Komponenten der SuM-Komponentenbibliothek. Neben den Diensten und Eigenschaften, die von der Oberklasse geerbt werden, besitzt eine Textkomponente einen Inhalt, der in verschiedenen Datentypen abgefragt oder gesetzt werden kann. Standardmaessig ist der Inhalt leer. Das Aussehen des Inhalts kann in Schriftart, Schriftgroesse, Schriftfarbe und Schriftstil veraendert werden.

Version:
  7.0 vom 21.9.2008
Author:
  Horst Hildebrecht

Field Summary
`protected String` | `zAktuellFont`
`protected Font` | `zSchriftArt`
`protected int` | `zSchriftGroesse`
`protected int` | `zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Textkomponente()`

Method Summary
`int` | `inhaltAlsGanzeZahl()` Der Text der Textkomponente wird als ganze Zahl zurueckgegeben.
`long` | `inhaltAlsLangeGanzeZahl()` Der Text der Textkomponente wird als lange ganze Zahl zurueckgegeben.
`abstract String` | `inhaltAlsText()` Abstrakter Dienst, der in den Unterklassen ueberschrieben wird.
`double` | `inhaltAlsZahl()` Der Text der Textkomponente wird als Kommazahl zurueckgegeben.
`boolean` | `inhaltIstGanzeZahl()` Es wird zurueckgegeben, ob die Textkomponente eine ganze Zahl ist.
`boolean` | `inhaltIstLangeGanzeZahl()` Es wird zurueckgegeben, ob die Textkomponente eine lange ganze Zahl ist.
`boolean` | `inhaltIstText()` Es wird zurueckgegeben, ob die Textkomponente keine (ganze) Zahl ist.
`boolean` | `inhaltIstZahl()` Es wird zurueckgegeben, ob die Textkomponente eine Kommazahl ist.
`protected void` | `init(double pLinks, double pOben, double pBreite, double pHoehe, String pInhalt)` Position, Breite,Hoehe und Inhalt der Textkomponente werden festgelegt.
`Color` | `schriftfarbe()` Die Schriftfarbe der Textkomponente wird zurueckgegeben
`Color` | `schriftFarbe()` Die Schriftfarbe der Textkomponente wird zurueckgegeben
`void` | `setzeInhalt(char pZeichen)` Die Textkomponente erhaelt einen neuen Inhalt als Zeichen.
`void` | `setzeInhalt(double pZahl)` Die Textkomponente erhaelt einen neuen Inhalt als Kommazahl.
`void` | `setzeInhalt(int pZahl)` Die Textkomponente erhaelt einen neuen Inhalt als ganze Zahl.
`void` | `setzeInhalt(long pZahl)` Die Textkomponente erhaelt einen neuen Inhalt als lange ganze Zahl.
`abstract void` | `setzeInhalt(String pText)` Die Textkomponente erhaelt einen neuen Inhalt.
`void` | `setzeSchriftart(String pSchriftart)` Die Schriftart der Textkomponente wird veraendert
`void` | `setzeSchriftArt(String pSchriftart)` Die Schriftart der Textkomponente wird veraendert
`void` | `setzeSchriftfarbe(Color pFarbe)` Die Schriftfarbe der Textkomponente wird veraendert
`void` | `setzeSchriftFarbe(Color pFarbe)` Die Schriftfarbe der Textkomponente wird veraendert
`void` | `setzeSchriftfarbe(int pFarbe)` Die Schriftfarbe der Textkomponente wird veraendert
`void` | `setzeSchriftFarbe(int pFarbe)` Die Schriftfarbe der Textkomponente wird veraendert
`void` | `setzeSchriftgroesse(int pGroesse)` Die Schriftgroesse der Textkomponente wird veraendert
`void` | `setzeSchriftGroesse(int pGroesse)` Die Schriftgroesse der Textkomponente wird veraendert
`void` | `setzeSchriftstil(int pStil)` Der Schriftstil der Textkomponente wird veraendert
`void` | `setzeSchriftStil(int pStil)` Der Schriftstil der Textkomponente wird veraendert

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zAktuellFont

    protected String zAktuellFont

### zSchriftArt

    protected Font zSchriftArt

### zSchriftGroesse

    protected int zSchriftGroesse

### zSchriftStil

    protected int zSchriftStil

Constructor Detail

### Textkomponente

    public Textkomponente()

Method Detail

### inhaltAlsGanzeZahl

    public int inhaltAlsGanzeZahl()
                           throws ArithmeticException

  Der Text der Textkomponente wird als ganze Zahl zurueckgegeben.

  Returns:
    der Inhalt der Komponente als ganze Zahl
  Throws:
    `ArithmeticException`

### inhaltAlsLangeGanzeZahl

    public long inhaltAlsLangeGanzeZahl()
                                 throws ArithmeticException

  Der Text der Textkomponente wird als lange ganze Zahl zurueckgegeben.

  Returns:
    der Inhalt der Komponente als lange ganze Zahl
  Throws:
    `ArithmeticException`

### inhaltAlsText

    public abstract String inhaltAlsText()

  Abstrakter Dienst, der in den Unterklassen ueberschrieben wird. In Unterklassen wird der Text der Textkomponente als String zurueckgegeben.

  Returns:
    der Inhalt der Komponente als Zeichenkette (String)

### inhaltAlsZahl

    public double inhaltAlsZahl()
                         throws ArithmeticException

  Der Text der Textkomponente wird als Kommazahl zurueckgegeben.

  Returns:
    der Inhalt der Komponente als Kommazahl
  Throws:
    `ArithmeticException`

### inhaltIstGanzeZahl

    public boolean inhaltIstGanzeZahl()

  Es wird zurueckgegeben, ob die Textkomponente eine ganze Zahl ist.

  Returns:
    true, wenn der Inhalt eine ganze Zahl ist

### inhaltIstLangeGanzeZahl

    public boolean inhaltIstLangeGanzeZahl()

  Es wird zurueckgegeben, ob die Textkomponente eine lange ganze Zahl ist.

  Returns:
    true, wenn der Inhalt eine lange ganze Zahl ist

### inhaltIstText

    public boolean inhaltIstText()

  Es wird zurueckgegeben, ob die Textkomponente keine (ganze) Zahl ist.

  Returns:
    true, wenn der Inhalt keine Zahl ist

### inhaltIstZahl

    public boolean inhaltIstZahl()

  Es wird zurueckgegeben, ob die Textkomponente eine Kommazahl ist.

  Returns:
    true, wenn der Inhalt eine Zahl ist

### init

    protected void init(double pLinks,
                        double pOben,
                        double pBreite,
                        double pHoehe,
                        String pInhalt)

  Position, Breite,Hoehe und Inhalt der Textkomponente werden festgelegt.

### schriftfarbe

    public Color schriftfarbe()

  Die Schriftfarbe der Textkomponente wird zurueckgegeben

  Returns:
    die Schriftfarbe der Textkomponente

### schriftFarbe

    public Color schriftFarbe()

  Die Schriftfarbe der Textkomponente wird zurueckgegeben

  Returns:
    die Schriftfarbe der Textkomponente

### setzeInhalt

    public void setzeInhalt(char pZeichen)

  Die Textkomponente erhaelt einen neuen Inhalt als Zeichen.

  Parameters:
    `pZeichen` - das Zeichen, das als neuer Inhalt gesetzt wird

### setzeInhalt

    public void setzeInhalt(double pZahl)

  Die Textkomponente erhaelt einen neuen Inhalt als Kommazahl.

  Parameters:
    `pZahl` - die Zahl, die als neuer Inhalt gesetzt wird

### setzeInhalt

    public void setzeInhalt(int pZahl)

  Die Textkomponente erhaelt einen neuen Inhalt als ganze Zahl.

  Parameters:
    `pZahl` - die Zahl, die als neuer Inhalt gesetzt wird

### setzeInhalt

    public void setzeInhalt(long pZahl)

  Die Textkomponente erhaelt einen neuen Inhalt als lange ganze Zahl.

  Parameters:
    `pZahl` - die Zahl, die als neuer Inhalt gesetzt wird

### setzeInhalt

    public abstract void setzeInhalt(String pText)

  Die Textkomponente erhaelt einen neuen Inhalt. Leere Methode, wird in der Unterklasse ueberschrieben.

  Parameters:
    `pText` - der Text, der als neuer Inhalt gesetzt wird

### setzeSchriftart

    public void setzeSchriftart(String pSchriftart)

  Die Schriftart der Textkomponente wird veraendert

  Parameters:
    `pSchriftart` - die neue Schriftart der Komponente (siehe Klasse Schrift)

### setzeSchriftArt

    public void setzeSchriftArt(String pSchriftart)

  Die Schriftart der Textkomponente wird veraendert

  Parameters:
    `pSchriftart` - die neue Schriftart der Komponente (siehe Klasse Schrift)

### setzeSchriftfarbe

    public void setzeSchriftfarbe(Color pFarbe)

  Die Schriftfarbe der Textkomponente wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Komponente

### setzeSchriftFarbe

    public void setzeSchriftFarbe(Color pFarbe)

  Die Schriftfarbe der Textkomponente wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Komponente

### setzeSchriftfarbe

    public void setzeSchriftfarbe(int pFarbe)

  Die Schriftfarbe der Textkomponente wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Komponente

### setzeSchriftFarbe

    public void setzeSchriftFarbe(int pFarbe)

  Die Schriftfarbe der Textkomponente wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Komponente

### setzeSchriftgroesse

    public void setzeSchriftgroesse(int pGroesse)

  Die Schriftgroesse der Textkomponente wird veraendert

  Parameters:
    `pGroesse` - die neue Schriftgroesse der Komponente

### setzeSchriftGroesse

    public void setzeSchriftGroesse(int pGroesse)

  Die Schriftgroesse der Textkomponente wird veraendert

  Parameters:
    `pGroesse` - die neue Schriftgroesse der Komponente

### setzeSchriftstil

    public void setzeSchriftstil(int pStil)

  Der Schriftstil der Textkomponente wird veraendert

  Parameters:
    `pStil` - der neue Schriftstil der Komponente (siehe Klasse Schrift)

### setzeSchriftStil

    public void setzeSchriftStil(int pStil)

  Der Schriftstil der Textkomponente wird veraendert

  Parameters:
    `pStil` - der neue Schriftstil der Komponente (siehe Klasse Schrift)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD